export default {
  name: '初始化地图',
  codeHtml: `
<CTMap3D
  :animate="true"
  :animatePoints="[116.391270,39.907100]"
  :center = "[116.542997158755,40.0358535108557]"
  @animateEnd="animateEnd"
  @ready="ready">
</CTMap3D>
  `,
  /*
  apiHtml: [{
    name: 'center',
    text: '中心点坐标',
    type: 'Array',
    value: '[116.391270,39.907100]'
  }],*/
  apiString: `
  属性
  center: 中心点坐标 Array [116.391270,39.907100]
  animate: 是否动画 Boolean false
  animatePoints: 动画过程中的三个点 Array [116.391270,39.907100,116.391270,39.907100]
  方法
  ready(CTMap3D): 地球加载完成
  animateEnd(): 动画结束
  `,
  action(map, self) {
    map.init()
  }
}
